/*
    Copyright (C) 2009-2012 Samsung Electronics

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef ewk_certificate_h
#define ewk_certificate_h

#include <Eina.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef Eina_Bool (*ewk_certificate_confirmation_callback)(Eina_Bool isTrusted, const char* uri, char* certificate, int errors);

/**
 * Sets callback to be called when it is indicated that the server's SSL certificate is not trusted.
 *
 * @param callback callback to be called
 */
EAPI void ewk_certificate_confirmation_callback_set(ewk_certificate_confirmation_callback);

/**
 * Sets crt file basing on this file certificate validation will be done
 *
 * @param file crtificate file containing one or more trusted certificates,
 * e.g /usr/lib/ssl/certs/ca-certificates.crt
 */
EAPI void ewk_certificate_file_set(const char *file);

#ifdef __cplusplus
}
#endif
#endif // ewk_certificate_h
