/*
    Copyright (C) 2009-2010 Samsung Electronics

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

/**
 * @file    ewk_geolocation.h
 * @brief   Collection of geolocation API.
 */

#ifndef ewk_geolocation_h
#define ewk_geolocation_h

#include <Eina.h>
#include <Evas.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*ewk_geolocation_permission_dialog_show_callback)(void *geolocationObject, const char* url);

EAPI void ewk_geolocation_permission_dialog_show_set_callback(ewk_geolocation_permission_dialog_show_callback callback);

EAPI void ewk_geolocation_sharing_allowed_set(void *geolocationObject, Eina_Bool result);

#ifdef __cplusplus
}
#endif

#endif // ewk_geolocation_h
