/*
    Copyright (C) 2009-2010 ProFUSION embedded systems
    Copyright (C) 2009-2010 Samsung Electronics

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

/**
 * @file    ewk_logging.h
 * @brief   Provides macros for logging.
 */

#ifndef ewk_logging_h
#define ewk_logging_h

#if ENABLE(TIZEN_DLOG_SUPPORT)
#include <dlog/dlog.h>
#define DLOG_WEBKIT_TAG "WEBKIT"
#endif

extern int _ewk_log_dom;

#if ENABLE(TIZEN_DLOG_SUPPORT)
#define CRITICAL(...) __dlog_print(LOG_ID_MAIN, DLOG_FATAL, DLOG_WEBKIT_TAG, "CRITICAL: %s", __VA_ARGS__);
#define ERR(...) __dlog_print(LOG_ID_MAIN, DLOG_ERROR, DLOG_WEBKIT_TAG, "ERR: %s", __VA_ARGS__);
#define WRN(...) __dlog_print(LOG_ID_MAIN, DLOG_VERBOSE, DLOG_WEBKIT_TAG, "WRN: %s", __VA_ARGS__);
#define INF(...) __dlog_print(LOG_ID_MAIN, DLOG_INFO, DLOG_WEBKIT_TAG, "INF: %s", __VA_ARGS__);
#define DBG(...) __dlog_print(LOG_ID_MAIN, DLOG_VERBOSE, DLOG_WEBKIT_TAG, "DBG: %s", __VA_ARGS__);
#else
#define CRITICAL(...) EINA_LOG_DOM_CRIT(_ewk_log_dom, __VA_ARGS__)
#define ERR(...) EINA_LOG_DOM_ERR(_ewk_log_dom, __VA_ARGS__)
#define WRN(...) EINA_LOG_DOM_WARN(_ewk_log_dom, __VA_ARGS__)
#define INF(...) EINA_LOG_DOM_INFO(_ewk_log_dom, __VA_ARGS__)
#define DBG(...) EINA_LOG_DOM_DBG(_ewk_log_dom, __VA_ARGS__)
#endif

#endif // ewk_logging_h
