/************************************************************************
 *
 * Copyright (c) 2011,2012 by Samsung Electronics Ltd.
 *
 * All Rights Reserved.
 *
 * This document may not, in whole or in part, be copied, photocopied,
 * reproduced, translated, or reduced to any electronic medium or machine
 * readable form without prior written consent from Samsung Electronics.
 *
 ***********************************************************************/
#ifndef tizen_npapi_h
#define tizen_npapi_h

/**
 * Defines of TNPEvent types. XEvent types occupy numbers from 2-LASTEvent.
 */
#define TNPEventBase        LASTEvent + 1 // TNPEvents starts from (BASE+1)
#define TNPMultiDown        TNPEventBase + 1
#define TNPMultiMove        TNPEventBase + 2
#define TNPMultiUp          TNPEventBase + 3
#define TNPWeakZoom         TNPEventBase + 4 // Send when weak zoom is done in webkit
#define TNPReduceFPS        TNPEventBase + 5 // Plugin should reduce its frame rate
#define TNPRevertFPS        TNPEventBase + 6
#define TNPPausePlugin      TNPEventBase + 7 // Plugin should be paused
#define TNPResumePlugin     TNPEventBase + 8
#define TNPDocumentLoaded   TNPEventBase + 9 // Notifies plugin that current document loading is finished
#define TNPPluginInactive   TNPEventBase + 10 // Trigerred when plugin loses its focus. It can be used to f.e. hide keyboard
#define TNPLowMemory        TNPEventBase + 11 // Notification about low memory, plugin can reduce memory consumption on that event

typedef struct {
    int x;
    int y;
} TNPPoint;

typedef struct {
    int type;
    union {
        struct {
            TNPPoint position;
            unsigned id;
        } multiMouse;
        struct {
            TNPPoint position;
            float zoomFactor;
        } zoom;
    };
} TNPEvent;

///////////////////////////////////////////////////////////////////////////////
// NPN_GetValue

/**
 * queries for a specific TNPInterface.
 * NPN_GetValue(NPP instance, interface_enum, TNPInterface*)
 */
#define NPNCanvasInterface  ((NPNVariable)1000)
#define NPNWindowInterface  ((NPNVariable)1001)
#define NPNPaintInterface   ((NPNVariable)1002)

/**
 * queries for plugin size and storage: canvas, clipper, window, elm-webview
 */
#define NPNPluginStorage    ((NPNVariable)1100)
#define NPNPluginSize       ((NPNVariable)1101)

#endif /* tizen_npapi_h */
